export default class Placeholder {
    
    constructor(args) {
            
        const options = {
            el: document.querySelectorAll('.placeholder'),
            lines: 4,
            
            ...args
        }
            
        for(var el of options['el']) {
            let n = el.getAttribute('data-placeholder-lines') || options['lines'];
            
            for(var i = 0; i < n; i++) {
                let line = document.createElement('div');
                    line.classList.add('placeholder__line');

                el.appendChild(line);
            }
            
            el.classList.add('placeholder');
        }
            
    }	
        
}


if(window.jQuery && jQuery.fn.placeholder === undefined) {
    
    jQuery.fn.placeholder = function(lines) {
        new Placeholder({
            lines: lines, 
            el: this
        });
        
        return this;
    }
    
}