import { Selector } from 'testcafe';

fixture `Placeholder test`
    .page `../index.html`;

test('Has placeholder class', async t => {

    await t
        .expect(Selector('.content').hasClass('placeholder')).eql(true);
});

test('Uses data attributes', async t => {

    await t
        .expect(Selector('[data-placeholder-lines]').childElementCount).eql(5);
});